diff -Nru tcl8.6.13-orig/generic/tcl.h tcl8.6.13-patched/generic/tcl.h
--- tcl8.6.13-orig/generic/tcl.h	2022-06-06 11:59:41.000000000 -0400
+++ tcl8.6.13-patched/generic/tcl.h	2022-11-29 03:47:38.099300898 -0500
@@ -397,7 +397,7 @@
  */
 
 #if !defined(TCL_WIDE_INT_TYPE)&&!defined(TCL_WIDE_INT_IS_LONG)
-#   ifdef _WIN32
+#   if defined(_WIN32) && !defined(_UCRT)
 #	define TCL_WIDE_INT_TYPE __int64
 #	ifdef __BORLANDC__
 #	    define TCL_LL_MODIFIER	"L"
diff -Nru tcl8.6.13-orig/generic/tclPort.h tcl8.6.13-patched/generic/tclPort.h
--- tcl8.6.13-orig/generic/tclPort.h	2022-06-06 11:58:41.000000000 -0400
+++ tcl8.6.13-patched/generic/tclPort.h	2022-11-29 03:47:38.099300898 -0500
@@ -20,7 +20,7 @@
 #if defined(_WIN32)
 #   include "tclWinPort.h"
 #else
-#   include "tclUnixPort.h"
+#   include "../unix/tclUnixPort.h"
 #endif
 #include "tcl.h"
 
diff -Nru tcl8.6.13-orig/win/configure.in tcl8.6.13-patched/win/configure.in
--- tcl8.6.13-orig/win/configure.in	2022-06-06 12:00:54.000000000 -0400
+++ tcl8.6.13-patched/win/configure.in	2022-11-29 03:50:27.858418568 -0500
@@ -142,24 +142,7 @@
   tcl_ok=yes
 ])
 AS_IF([test "$tcl_ok" = "yes"], [
-  AC_SUBST(ZLIB_DLL_FILE,[\${ZLIB_DLL_FILE}])
-  AS_IF([test "$do64bit" != "no"], [
-    AS_IF([test "$do64bit" = "arm64"], [
-      AS_IF([test "$GCC" == "yes"],[
-        AC_SUBST(ZLIB_LIBS,[\${ZLIB_DIR_NATIVE}/win64-arm/libz.dll.a])
-      ], [
-        AC_SUBST(ZLIB_LIBS,[\${ZLIB_DIR_NATIVE}/win64-arm/zdll.lib])
-      ])
-    ], [
-      AS_IF([test "$GCC" == "yes"],[
-        AC_SUBST(ZLIB_LIBS,[\${ZLIB_DIR_NATIVE}/win64/libz.dll.a])
-      ], [
-        AC_SUBST(ZLIB_LIBS,[\${ZLIB_DIR_NATIVE}/win64/zdll.lib])
-      ])
-    ])
-  ], [
-    AC_SUBST(ZLIB_LIBS,[\${ZLIB_DIR_NATIVE}/win32/zdll.lib])
-  ])
+  AC_SUBST(ZLIB_LIBS,[-lz])
 ], [
   AC_SUBST(ZLIB_OBJS,[\${ZLIB_OBJS}])
 ])
diff -Nru tcl8.6.13-orig/win/Makefile.in tcl8.6.13-patched/win/Makefile.in
--- tcl8.6.13-orig/win/Makefile.in	2022-10-28 11:19:48.000000000 -0400
+++ tcl8.6.13-patched/win/Makefile.in	2022-11-29 03:51:39.294041867 -0500
@@ -156,9 +156,8 @@
 			  package ifneeded registry 1.3.5 [list load [file normalize ${REG_DLL_FILE}] Registry]
 TEST_LOAD_FACILITIES	= package ifneeded Tcltest ${VERSION}@TCL_PATCH_LEVEL@ [list load [file normalize ${TEST_DLL_FILE}]];\
 			  $(TEST_LOAD_PRMS)
-ZLIB_DLL_FILE		= zlib1.dll
 
-SHARED_LIBRARIES 	= $(TCL_DLL_FILE) @ZLIB_DLL_FILE@
+SHARED_LIBRARIES 	= $(TCL_DLL_FILE)
 STATIC_LIBRARIES	= $(TCL_LIB_FILE)
 
 TCLSH			= tclsh$(VER)${EXESUFFIX}
@@ -199,7 +198,7 @@
 SHLIB_LD_LIBS	= @SHLIB_LD_LIBS@
 SHLIB_CFLAGS	= @SHLIB_CFLAGS@
 SHLIB_SUFFIX	= @SHLIB_SUFFIX@
-LIBS		= @LIBS@ $(shell $(CYGPATH) '@ZLIB_LIBS@')
+LIBS		= @LIBS@ @ZLIB_LIBS@
 
 RMDIR		= rm -rf
 MKDIR		= mkdir -p
@@ -515,18 +514,6 @@
         tclsh.$(RES) $(CC_EXENAME) $(LDFLAGS_CONSOLE)
 	$(COPY) tclsh.exe.manifest ${TEST_EXE_FILE}.manifest
 
-# use pre-built zlib1.dll
-${ZLIB_DLL_FILE}: ${TCL_STUB_LIB_FILE}
-	@if test "@ZLIB_LIBS@set" = "${ZLIB_DIR_NATIVE}/win64-arm/zdll.libset" ; then \
-		$(COPY) $(ZLIB_DIR)/win64-arm/${ZLIB_DLL_FILE} ${ZLIB_DLL_FILE}; \
-	elif test "@ZLIB_LIBS@set" = "${ZLIB_DIR_NATIVE}/win64-arm/libz.dll.aset" ; then \
-		$(COPY) $(ZLIB_DIR)/win64-arm/${ZLIB_DLL_FILE} ${ZLIB_DLL_FILE}; \
-	elif test "@ZLIB_LIBS@set" = "${ZLIB_DIR_NATIVE}/win32/zdll.libset" ; then \
-		$(COPY) $(ZLIB_DIR)/win32/${ZLIB_DLL_FILE} ${ZLIB_DLL_FILE}; \
-	else \
-		$(COPY) $(ZLIB_DIR)/win64/${ZLIB_DLL_FILE} ${ZLIB_DLL_FILE}; \
-	fi;
-
 # Add the object extension to the implicit rules. By default .obj is not
 # automatically added.
 
@@ -655,7 +642,7 @@
 		else true; \
 		fi; \
 	    done;
-	@for i in $(TCL_DLL_FILE) $(ZLIB_DLL_FILE) $(TCLSH); \
+	@for i in $(TCL_DLL_FILE) $(TCLSH); \
 	    do \
 	    if [ -f $$i ]; then \
 		echo "Installing $$i to $(BIN_INSTALL_DIR)/"; \
diff -Nru tcl8.6.13-orig/win/tclWinInt.h tcl8.6.13-patched/win/tclWinInt.h
--- tcl8.6.13-orig/win/tclWinInt.h	2022-06-06 11:58:41.000000000 -0400
+++ tcl8.6.13-patched/win/tclWinInt.h	2022-11-29 03:47:38.099300898 -0500
@@ -56,7 +56,7 @@
 
 #ifndef TCL_Z_MODIFIER
 #   ifdef _WIN64
-#	if defined(__USE_MINGW_ANSI_STDIO) && __USE_MINGW_ANSI_STDIO
+#	if defined(__USE_MINGW_ANSI_STDIO) && __USE_MINGW_ANSI_STDIO || defined(_UCRT)
 #         define TCL_Z_MODIFIER        "ll"
 #	else
 #         define TCL_Z_MODIFIER        "I"
diff -Nru tcl8.6.13-orig/win/tclWinTime.c tcl8.6.13-patched/win/tclWinTime.c
--- tcl8.6.13-orig/win/tclWinTime.c	2022-06-06 11:58:41.000000000 -0400
+++ tcl8.6.13-patched/win/tclWinTime.c	2022-11-29 03:47:38.099300898 -0500
@@ -740,7 +740,7 @@
 #endif
 
     if (!useGMT) {
-#if defined(_MSC_VER) && (_MSC_VER >= 1900)
+#if defined(_MSC_VER) && (_MSC_VER >= 1900) || defined(_UCRT)
 #	undef timezone /* prevent conflict with timezone() function */
 	long timezone = 0;
 #endif
@@ -774,7 +774,7 @@
 	    return TclpLocaltime(&t2);
 	}
 
-#if defined(_MSC_VER) && (_MSC_VER >= 1900)
+#if defined(_MSC_VER) && (_MSC_VER >= 1900) || defined(_UCRT)
 	_get_timezone(&timezone);
 #endif
 
